Upstream information

CVE-2017-10685 at MITRE

Description

In ncurses 6.0, there is a format string vulnerability in the fmt_entry function. A crafted input will lead to a remote arbitrary code execution attack.

SUSE information

Overall state of this security issue: Running

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 7.5 6.8
Vector AV:N/AC:L/Au:N/C:P/I:P/A:P AV:N/AC:M/Au:N/C:P/I:P/A:P
Access Vector Network Network
Access Complexity Low Medium
Authentication None None
Confidentiality Impact Partial Partial
Integrity Impact Partial Partial
Availability Impact Partial Partial
CVSS v3 Scores
  SUSE
Base Score 5.6
Vector AV:N/AC:H/PR:N/UI:N/S:U/C:L/I:L/A:L
Access Vector Network
Access Complexity High
Privileges Required None
User Interaction None
Scope Unchanged
Confidentiality Impact Low
Integrity Impact Low
Availability Impact Low
SUSE Bugzilla entry: 1046853 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
Openstack Cloud Magnum Orchestration 7
  • libncurses5 >= 5.9-50.1
  • libncurses6 >= 5.9-50.1
  • ncurses >= 5.9-50.1
  • ncurses-utils >= 5.9-50.1
  • terminfo-base >= 5.9-50.1
Patchnames:
SUSE-OpenStack-Cloud-Magnum-Orchestration-7-2017-1119
SUSE-OpenStack-Cloud-Magnum-Orchestration-7-2017-1279
SUSE CaaS Platform ALL
  • caasp-container-manifests >= 0.0.0+git_r155_93e40ab-2.3.3
  • container-feeder >= 0.0.0+20170901.git_r55_17ecbd3-2.3.3
  • sles12-mariadb-docker-image >= 1.1.0-2.3.10
  • sles12-pause-docker-image >= 1.1.0-2.3.11
  • sles12-pv-recycler-node-docker-image >= 1.1.0-2.3.10
  • sles12-salt-api-docker-image >= 1.1.0-2.3.9
  • sles12-salt-master-docker-image >= 1.1.0-4.3.10
  • sles12-salt-minion-docker-image >= 1.1.0-2.3.8
  • sles12-velum-docker-image >= 1.1.0-4.3.9
Patchnames:
SUSE-CAASP-ALL-2017-1531
SUSE Linux Enterprise Desktop 12 SP2
  • libncurses5 >= 5.9-50.1
  • libncurses5-32bit >= 5.9-50.1
  • libncurses6 >= 5.9-50.1
  • libncurses6-32bit >= 5.9-50.1
  • ncurses >= 5.9-50.1
  • ncurses-devel >= 5.9-50.1
  • ncurses-utils >= 5.9-50.1
  • tack >= 5.9-50.1
  • terminfo >= 5.9-50.1
  • terminfo-base >= 5.9-50.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP2-2017-1119
SUSE-SLE-DESKTOP-12-SP2-2017-1279
SUSE Linux Enterprise Desktop 12 SP3
  • libncurses5 >= 5.9-50.1
  • libncurses5-32bit >= 5.9-50.1
  • libncurses6 >= 5.9-50.1
  • libncurses6-32bit >= 5.9-50.1
  • ncurses >= 5.9-50.1
  • ncurses-devel >= 5.9-50.1
  • ncurses-utils >= 5.9-50.1
  • tack >= 5.9-50.1
  • terminfo >= 5.9-50.1
  • terminfo-base >= 5.9-50.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP3-2017-1279
SUSE Linux Enterprise Module for Containers 12
  • sles12-docker-image >= 1.1.4-20171002
  • sles12sp1-docker-image >= 1.0.7-20171002
  • sles12sp2-docker-image >= 1.0.2-20171006
Patchnames:
SUSE-SLE-Module-Containers-12-2017-1672
SUSE-SLE-Module-Containers-12-2017-1673
SUSE-SLE-Module-Containers-12-2017-1674
SUSE Linux Enterprise Server 11 SP4
  • libncurses5 >= 5.6-93.6.1
  • libncurses5-32bit >= 5.6-93.6.1
  • libncurses5-x86 >= 5.6-93.6.1
  • libncurses6 >= 5.6-93.6.1
  • libncurses6-32bit >= 5.6-93.6.1
  • libncurses6-x86 >= 5.6-93.6.1
  • ncurses >= 5.6-93.6.1
  • ncurses-devel >= 5.6-93.6.1
  • ncurses-devel-32bit >= 5.6-93.6.1
  • ncurses-utils >= 5.6-93.6.1
  • tack >= 5.6-93.6.1
  • terminfo >= 5.6-93.6.1
  • terminfo-base >= 5.6-93.6.1
Patchnames:
slessp4-ncurses-13197
slessp4-ncurses-13227
SUSE Linux Enterprise Server 12 SP2
  • libncurses5 >= 5.9-50.1
  • libncurses5-32bit >= 5.9-50.1
  • libncurses6 >= 5.9-50.1
  • libncurses6-32bit >= 5.9-50.1
  • ncurses >= 5.9-50.1
  • ncurses-devel >= 5.9-50.1
  • ncurses-devel-32bit >= 5.9-50.1
  • ncurses-utils >= 5.9-50.1
  • tack >= 5.9-50.1
  • terminfo >= 5.9-50.1
  • terminfo-base >= 5.9-50.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2017-1119
SUSE-SLE-SERVER-12-SP2-2017-1279
SUSE Linux Enterprise Server 12 SP3
  • libncurses5 >= 5.9-50.1
  • libncurses5-32bit >= 5.9-50.1
  • libncurses6 >= 5.9-50.1
  • libncurses6-32bit >= 5.9-50.1
  • ncurses >= 5.9-50.1
  • ncurses-devel >= 5.9-50.1
  • ncurses-devel-32bit >= 5.9-50.1
  • ncurses-utils >= 5.9-50.1
  • tack >= 5.9-50.1
  • terminfo >= 5.9-50.1
  • terminfo-base >= 5.9-50.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2017-1279
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • libncurses5 >= 5.9-50.1
  • libncurses6 >= 5.9-50.1
  • ncurses >= 5.9-50.1
  • ncurses-devel >= 5.9-50.1
  • ncurses-utils >= 5.9-50.1
  • tack >= 5.9-50.1
  • terminfo >= 5.9-50.1
  • terminfo-base >= 5.9-50.1
Patchnames:
SUSE-SLE-RPI-12-SP2-2017-1119
SUSE-SLE-RPI-12-SP2-2017-1279
SUSE Linux Enterprise Software Development Kit 11 SP4
  • ncurses >= 5.6-93.6.1
  • ncurses-devel >= 5.6-93.6.1
  • ncurses-devel-32bit >= 5.6-93.6.1
  • tack >= 5.6-93.6.1
Patchnames:
sdksp4-ncurses-13197
sdksp4-ncurses-13227
SUSE Linux Enterprise Software Development Kit 12 SP2
  • ncurses >= 5.9-50.1
  • ncurses-devel >= 5.9-50.1
Patchnames:
SUSE-SLE-SDK-12-SP2-2017-1119
SUSE-SLE-SDK-12-SP2-2017-1279
SUSE Linux Enterprise Software Development Kit 12 SP3
  • ncurses >= 5.9-50.1
  • ncurses-devel >= 5.9-50.1
Patchnames:
SUSE-SLE-SDK-12-SP3-2017-1279
openSUSE Leap 42.2
  • libncurses5 >= 5.9-55.6.1
  • libncurses5-32bit >= 5.9-55.6.1
  • libncurses5-debuginfo >= 5.9-55.6.1
  • libncurses5-debuginfo-32bit >= 5.9-55.6.1
  • libncurses6 >= 5.9-55.6.1
  • libncurses6-32bit >= 5.9-55.6.1
  • libncurses6-debuginfo >= 5.9-55.6.1
  • libncurses6-debuginfo-32bit >= 5.9-55.6.1
  • ncurses >= 5.9-55.6.1
  • ncurses-debugsource >= 5.9-55.6.1
  • ncurses-devel >= 5.9-55.6.1
  • ncurses-devel-32bit >= 5.9-55.6.1
  • ncurses-devel-debuginfo >= 5.9-55.6.1
  • ncurses-devel-debuginfo-32bit >= 5.9-55.6.1
  • ncurses-utils >= 5.9-55.6.1
  • ncurses-utils-debuginfo >= 5.9-55.6.1
  • tack >= 5.9-55.6.1
  • tack-debuginfo >= 5.9-55.6.1
  • terminfo >= 5.9-55.6.1
  • terminfo-base >= 5.9-55.6.1
Patchnames:
openSUSE-2017-823
openSUSE-2017-920
openSUSE Leap 42.3
  • libncurses5 >= 5.9-57.1
  • libncurses5-32bit >= 5.9-57.1
  • libncurses5-debuginfo >= 5.9-59.1
  • libncurses5-debuginfo-32bit >= 5.9-59.1
  • libncurses6 >= 5.9-57.1
  • libncurses6-32bit >= 5.9-57.1
  • libncurses6-debuginfo >= 5.9-59.1
  • libncurses6-debuginfo-32bit >= 5.9-59.1
  • ncurses >= 5.9-59.1
  • ncurses-debugsource >= 5.9-59.1
  • ncurses-devel >= 5.9-57.1
  • ncurses-devel-32bit >= 5.9-59.1
  • ncurses-devel-debuginfo >= 5.9-59.1
  • ncurses-devel-debuginfo-32bit >= 5.9-59.1
  • ncurses-utils >= 5.9-57.1
  • ncurses-utils-debuginfo >= 5.9-59.1
  • tack >= 5.9-57.1
  • tack-debuginfo >= 5.9-59.1
  • terminfo >= 5.9-57.1
  • terminfo-base >= 5.9-57.1
Patchnames:
openSUSE Leap 42.3 GA libncurses5-32bit
openSUSE-2017-920


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
OpenStack Cloud Magnum Orchestration 7.0 ncurses Released
SUSE Linux Enterprise Desktop 12 SP2 ncurses Released
SUSE Linux Enterprise Desktop 12 SP3 ncurses Released
SUSE Linux Enterprise SDK 11 SP4 ncurses Released
SUSE Linux Enterprise SDK 12 SP2 ncurses Released
SUSE Linux Enterprise SDK 12 SP3 ncurses Released
SUSE Linux Enterprise Server 11 SP3 LTSS ncurses Affected
SUSE Linux Enterprise Server 11 SP4 ncurses Released
SUSE Linux Enterprise Server 12 GA LTSS ncurses Affected
SUSE Linux Enterprise Server 12 SP1 LTSS ncurses Affected
SUSE Linux Enterprise Server 12 SP2 ncurses Released
SUSE Linux Enterprise Server 12 SP2 for Raspberry PI ncurses Released
SUSE Linux Enterprise Server 12 SP3 ncurses Released